﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace CardSettingsTest
{
    public partial class Form1 : Form
    {
        private DataSet1 ds = new DataSet1();
        public Form1()
        {
            InitializeComponent();
            this.Width = 300;
            this.Height = 300;
            this.ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);

            DataSet1.DataTable1Row Row1 = ds.DataTable1.AddDataTable1Row("test1", "test2");
            ds.DataTable3.AddDataTable3Row(Row1, "3Test1xxxxxxx", "3Test2xxxxxxxx", "3Test3xxxxxxxxx", "3Test4xxxxxxx", "3Test5xxxxxxxxxxxxxxxxxx");

            this.ultraGrid1.DataSource = ds;

            this.ultraGrid1.Rows.ExpandAll(true);
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {

            e.Layout.Bands[1].Columns["3Test1"].Layout.Appearance.TextHAlign = HAlign.Right;

            e.Layout.Bands[1].CardView = true;
            e.Layout.Bands[1].CardSettings.AutoFit = true;
            e.Layout.Bands[1].CardSettings.Style = CardStyle.StandardLabels;
            e.Layout.Bands[1].CardSettings.ShowCaption = true;
            e.Layout.Bands[1].CardSettings.CardScrollbars = CardScrollbars.None;
            e.Layout.Bands[1].CardSettings.LabelWidth = 120;
            e.Layout.Bands[1].CardSettings.MaxCardAreaCols = 1;
            e.Layout.Bands[1].CardSettings.MaxCardAreaRows = 1;
        }
    }
}
